Bitcoin Forum
October 24, 2017, 02:46:21 AM *
News: Latest stable version of Bitcoin Core: 0.15.0.1  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: [1] 2 3 »  All
  Print  
Author Topic: [ANN] The first Armory-for-OSX Release! (Testing)  (Read 4333 times)
etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
April 13, 2013, 04:36:10 PM
 #1

It finally works!  Thanks again to higuys who debugged and polished his OSX build script, which makes building on OSX too easy.  In fact, it was so easy, I did more than I had to and ended up breaking it.  Whoops!

But it's all sorted out now, and I've been playing around with it in my OSX VM.   I can see that there's a lot of stuff that needs improvement, but it does appear to be very usable.  I had to completely disable Bitcoin-Qt/bitcoind management, because there is no reliable way to get bitcoind, and I'm not sure yet if I want to run Bitcoin-Qt.  I might have no choice...

I used my online GPG to sign this just to have something.  My offline system is not setup yet for certificate-signing OSX builds.  But I have a feeling this will need some tweaking before v0.88-beta anyway.  

https://bitcointalk.org/index.php?topic=156250.msg1655941#msg1655941

NOTES:

  • I got the icons working.  
  • Auto-bitcoind/bitcoin-qt is disabled.  I may have to start bitcoin-qt instead and minimize it immediately.  Anyone know how to start-and-minimize-immediately an OSX app, from the command line?
  • Notifications are disabled completely.  Apparently this solution does not play nicely with Growl.  0.5 BTC to anyone who figures out how to fix it!

Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
gweedo
Legendary
*
Offline Offline

Activity: 1246


Java, PHP, HTML/CSS Programmer for Hire!


View Profile WWW
April 13, 2013, 08:56:58 PM
 #2

The only issue I had was the time, it start at 3 mintues it took around 30-40mins to load the blockchain.

Great work!

Want to earn 2500 SATOSHIS per hour? Come Chat and Chill in https://goseemybits.com/lobby
etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
April 13, 2013, 08:57:46 PM
 #3

The only issue I had was the time, it start at 3 mintues it took around 30-40mins to load the blockchain.

Great work!

What's the system specs?  30-40 min is excessive....

Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
gweedo
Legendary
*
Offline Offline

Activity: 1246


Java, PHP, HTML/CSS Programmer for Hire!


View Profile WWW
April 13, 2013, 09:03:31 PM
 #4

The only issue I had was the time, it start at 3 mintues it took around 30-40mins to load the blockchain.

Great work!

What's the system specs?  30-40 min is excessive....


Want to earn 2500 SATOSHIS per hour? Come Chat and Chill in https://goseemybits.com/lobby
etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
April 13, 2013, 09:07:30 PM
 #5

Hmm... it takes 4-5 minutes on my OSX VM in VMware, with 4 GB of RAM.  I wonder if maybe it's a caching problem?  Weird.

Well now that I'm done with this, I'll finally be able to get to the persistent blockchain stuff.  So RAM usage will drop, and full scans should only happen on the first sync, and during import/sweep.  I have no idea how long it's going to take, but I do know exactly how I'm going to do it.

Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
camolist
Hero Member
*****
Offline Offline

Activity: 896


View Profile WWW
April 13, 2013, 11:04:10 PM
 #6

latest pro retina stock. instant open and scanning of blockchain took 3 minutes

guess i need to quit being lazy and get the parts for the offline system build put together


 with the latest bitcoin-qt
looks be using 1.8 gb of ram not so bad

etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
April 13, 2013, 11:07:10 PM
 #7

latest pro retina stock. instant open and scanning of blockchain took 3 minutes

guess i need to quit being lazy and get the parts for the offline system build put together


 with the latest bitcoin-qt
looks be using 1.8 gb of ram not so bad


Oh, I didn't even realize that this packaging job is offline-bundle-ready!  Since it's completely self-contained, you should be able to use it on a freshboot of an offline OSX installation.  Cool!

3-minute blockchain scan is good!  Are you using an SSD?

Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
camolist
Hero Member
*****
Offline Offline

Activity: 896


View Profile WWW
April 13, 2013, 11:37:07 PM
 #8

awesome about offline ready Smiley

will be using ubuntu for the offline version though!

mac for online/bitcoin-qt - offline just armory


yeah it's got a ssd, cpu is a i7 quad 2.4 and 8gb 1600mhz ram


out  for the night but i'll be doing all kinds of back and forth online mac > offline ubuntu transactions / back ups / restores. will let you know if i run into any trouble

anything specific you can think of i should check?

c0inbuster
Member
**
Offline Offline

Activity: 105



View Profile WWW
April 14, 2013, 08:40:49 AM
 #9

Hello,

thanks for this public OS X release but I get a segfault

Code:
$ open /Applications/Armory.app/Contents/MacOS/Armory

/Applications/Armory.app/Contents/MacOS/Armory ; exit;
new-host:~ me$ /Applications/Armory.app/Contents/MacOS/Armory ; exit;
/Applications/Armory.app/Contents/MacOS/Armory: line 5: 61800 Segmentation fault: 11  bin/python armorybuild/ArmoryQt.pyc
logout

[Opération terminée]

I'm using Mac OS 10.7.5 with a Macbook Air

Code:
$ python -V
Python 2.7.3 -- EPD 7.3-2 (64-bit)


Kind regards

Download free softwares! - crypto mining profit calculator - crypto triangular arbitrage tools - crypto stocks tools...
https://sites.google.com/site/working4coins/
etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
April 14, 2013, 05:57:23 PM
 #10

Hello,

thanks for this public OS X release but I get a segfault

Code:
$ open /Applications/Armory.app/Contents/MacOS/Armory

/Applications/Armory.app/Contents/MacOS/Armory ; exit;
new-host:~ me$ /Applications/Armory.app/Contents/MacOS/Armory ; exit;
/Applications/Armory.app/Contents/MacOS/Armory: line 5: 61800 Segmentation fault: 11  bin/python armorybuild/ArmoryQt.pyc
logout

[Opération terminée]

I'm using Mac OS 10.7.5 with a Macbook Air

Code:
$ python -V
Python 2.7.3 -- EPD 7.3-2 (64-bit)

Can you try running it with " --offline" at the end, to see if it loads without any blockchain stuff?

Was there a log file created by Armory in your ~/Library/Application Support/Armory directory? 

Unfortunately, I hope someone with more OSX experience will be able to investigate these problems.  It looks like you're using a French OS, which makes me realize I never tested unicode support on OSX... I guess I should take a shot at that...

Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
c0inbuster
Member
**
Offline Offline

Activity: 105



View Profile WWW
April 14, 2013, 06:38:06 PM
 #11

In fact I first download and unzip Armory_OSX_0.87.98.zip
I get an Armory.app file and drag it to /Applications directory
I double-click on this file... icon was jumping 3 times and disappear
(because of segfault)
so I run a console to run it and
Code:
/Applications/Armory.app/Contents/MacOS/Armory: line 5: 62302 Segmentation fault: 11  bin/python armorybuild/ArmoryQt.pyc
is console stderr

I also tried
Code:
$ open ~/Library/Application\ Support/Armory
The file /Users/scls/Library/Application Support/Armory does not exist.

But there is no directory named Armory...
so segfault appears before creating log file

I also tried with --offline flag

Code:
/Applications/Armory.app/Contents/MacOS/Armory --offline
/Applications/Armory.app/Contents/MacOS/Armory: line 5:   734 Segmentation fault: 11  bin/python armorybuild/ArmoryQt.pyc

Download free softwares! - crypto mining profit calculator - crypto triangular arbitrage tools - crypto stocks tools...
https://sites.google.com/site/working4coins/
camolist
Hero Member
*****
Offline Offline

Activity: 896


View Profile WWW
April 15, 2013, 09:36:07 PM
 #12

lots of testing today on both mac (online) and ubuntu (offline)

mac is the release from this this thread on 10.7.5 osx
ubuntu is on 10.04 using 0.86.3-beta dependencies bundle

backups importing and exporting cd/usb copies
recovering from paper wallets

sending online/offline transactions


all checks out as far as i can tell




picobit
Hero Member
*****
Offline Offline

Activity: 547


Decor in numeris


View Profile
April 16, 2013, 02:35:30 PM
 #13

I checked the Mac app on my Mountain Lion 10.8.3 MacBook Pro.

Unfortunately, it is highly unstable.  The app crashes almost no matter what I try to do.  For example, I have a testing wallet with no encryption.  Clicking on Make Paper Backup cause a crash, also if bitcoin-qt is not running.

I tried to build from source, that version works, but it is clearly a different version.  The app is 0.87.98, the one I build from source is 0.87.3.  Probably I am building from the wrong branch, which branch should I build to test this?  I was planning to test if it is the build or the armory version that is unstable by building myself (all previous versions that I have built from source have been rock stable).  If it is the app only, I could also modify the makefile to build with debugging enabled, and attach a debugger (although debugging a multhithreaded program is new for me).

In any case I am busy at work, so my progress may be slow. 
etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
April 16, 2013, 02:52:47 PM
 #14

I checked the Mac app on my Mountain Lion 10.8.3 MacBook Pro.

Unfortunately, it is highly unstable.  The app crashes almost no matter what I try to do.  For example, I have a testing wallet with no encryption.  Clicking on Make Paper Backup cause a crash, also if bitcoin-qt is not running.

I tried to build from source, that version works, but it is clearly a different version.  The app is 0.87.98, the one I build from source is 0.87.3.  Probably I am building from the wrong branch, which branch should I build to test this?  I was planning to test if it is the build or the armory version that is unstable by building myself (all previous versions that I have built from source have been rock stable).  If it is the app only, I could also modify the makefile to build with debugging enabled, and attach a debugger (although debugging a multhithreaded program is new for me).

In any case I am busy at work, so my progress may be slow. 


Ack.  Not good!   It seems to be random, when it works and when it doesn't (not by OSX version).

If you want to do further testing, use the "testing" branch.    Only the blockdata access stuff is multi-threaded...everything else runs in a single thread.  I don't think it should be too bad.

Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
picobit
Hero Member
*****
Offline Offline

Activity: 547


Decor in numeris


View Profile
April 16, 2013, 03:48:46 PM
 #15

OK, if I build the app myself, it works.
If I download the app you built to my laptop, it crashes.
If I download it to my wife's macbook, it works just fine.  It can even print paper backups! (which has not worked on my laptop since multithreading appeared)

I guess it has something to do with conflicting versions of something that I have installed - I have installed all kinds of junk on this machine for some time now.  I will investigate further tonight or tomorrow, have to run now.
etotheipi
Legendary
*
Offline Offline

Activity: 1428


Core Armory Developer


View Profile WWW
April 16, 2013, 04:03:50 PM
 #16

Maybe someone with more lower-level tracing experience than me can help out:  can we trace the dependencies used by the .app I created?  It's supposed to be completely self-contained, but it sounds like there's still some system libraries being accessed, some of which are not compatible with the ones in my VM.


Founder and CEO of Armory Technologies, Inc.
Armory Bitcoin Wallet: Bringing cold storage to the average user!
Only use Armory software signed by the Armory Offline Signing Key (0x98832223)

Please donate to the Armory project by clicking here!    (or donate directly via 1QBDLYTDFHHZAABYSKGKPWKLSXZWCCJQBX -- yes, it's a real address!)
picobit
Hero Member
*****
Offline Offline

Activity: 547


Decor in numeris


View Profile
April 16, 2013, 06:17:07 PM
 #17

Yes, I think we can, with otool -L.  I will give it a try, and whether successful or not I will report back here.
picobit
Hero Member
*****
Offline Offline

Activity: 547


Decor in numeris


View Profile
April 16, 2013, 06:47:51 PM
 #18

OK, here is the list of which shared objects the shared objects in the app depend on, discovered with
Code:
otool -L `find . -name '*.so'`
 (and similar for *.dylib).  Here is the result, it looks mostly harmless  EDIT: It looks like a lot of Qt stuff is loaded from /usr/local instead of from the App itself.  So if we do not have the same Qt, it will probably break - but it looks like we do have the same, strange.

Code:
./MacOS/armorybuild/_CppBlockUtils.so:
../_CppBlockUtils.so (compatibility version 0.0.0, current version 0.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
/System/Library/Frameworks/Python.framework/Versions/2.7/Python (compatibility version 2.7.0, current version 2.7.2)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
./MacOS/lib/python2.7/site-packages/_psutil_osx.so:
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation (compatibility version 150.0.0, current version 744.12.0)
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit (compatibility version 1.0.0, current version 275.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/_psutil_posix.so:
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/phonon.so:
/usr/local/lib/phonon.framework/Versions/4/phonon (compatibility version 4.4.0, current version 4.4.0)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/Qt.so:
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtCore.so:
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtDeclarative.so:
/usr/local/lib/QtDeclarative.framework/Versions/4/QtDeclarative (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtScript.framework/Versions/4/QtScript (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtSvg.framework/Versions/4/QtSvg (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtSql.framework/Versions/4/QtSql (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtXmlPatterns.framework/Versions/4/QtXmlPatterns (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtNetwork.framework/Versions/4/QtNetwork (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtDesigner.so:
/usr/local/lib/QtDesigner.framework/Versions/4/QtDesigner (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtScript.framework/Versions/4/QtScript (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtXml.framework/Versions/4/QtXml (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtGui.so:
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtHelp.so:
/usr/local/lib/QtHelp.framework/Versions/4/QtHelp (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtSql.framework/Versions/4/QtSql (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtNetwork.framework/Versions/4/QtNetwork (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtMultimedia.so:
/usr/local/lib/QtMultimedia.framework/Versions/4/QtMultimedia (compatibility version 4.8.0, current version 4.8.4)
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices (compatibility version 1.0.0, current version 45.0.0)
/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio (compatibility version 1.0.0, current version 1.0.0)
/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit (compatibility version 1.0.0, current version 1.0.0)
/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox (compatibility version 1.0.0, current version 1.0.0)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtNetwork.so:
/usr/local/lib/QtNetwork.framework/Versions/4/QtNetwork (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtOpenGL.so:
/usr/local/lib/QtOpenGL.framework/Versions/4/QtOpenGL (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL (compatibility version 1.0.0, current version 1.0.0)
/System/Library/Frameworks/AGL.framework/Versions/A/AGL (compatibility version 1.0.0, current version 1.0.0)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtScript.so:
/usr/local/lib/QtScript.framework/Versions/4/QtScript (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtScriptTools.so:
/usr/local/lib/QtScriptTools.framework/Versions/4/QtScriptTools (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtScript.framework/Versions/4/QtScript (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtSql.so:
/usr/local/lib/QtSql.framework/Versions/4/QtSql (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtSvg.so:
/usr/local/lib/QtSvg.framework/Versions/4/QtSvg (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtTest.so:
/usr/local/lib/QtTest.framework/Versions/4/QtTest (compatibility version 4.8.0, current version 4.8.4)
/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit (compatibility version 1.0.0, current version 275.0.0)
/System/Library/Frameworks/Security.framework/Versions/A/Security (compatibility version 1.0.0, current version 55179.1.0)
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices (compatibility version 1.0.0, current version 45.0.0)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtWebKit.so:
/usr/local/lib/QtWebKit.framework/Versions/4/QtWebKit (compatibility version 4.9.0, current version 4.9.3)
/usr/local/lib/QtGui.framework/Versions/4/QtGui (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtNetwork.framework/Versions/4/QtNetwork (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtXml.so:
/usr/local/lib/QtXml.framework/Versions/4/QtXml (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/PyQt4/QtXmlPatterns.so:
/usr/local/lib/QtXmlPatterns.framework/Versions/4/QtXmlPatterns (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtNetwork.framework/Versions/4/QtNetwork (compatibility version 4.8.0, current version 4.8.4)
/usr/local/lib/QtCore.framework/Versions/4/QtCore (compatibility version 4.8.0, current version 4.8.4)
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/sip.so:
/usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current version 56.0.0)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/twisted/python/sendmsg.so:
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/twisted/runner/portmap.so:
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/twisted/test/raiser.so:
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/lib/python2.7/site-packages/zope/interface/_zope_interface_coptimizations.so:
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)


./Dependencies/libpng15.15.dylib:
/usr/local/lib/libpng15.15.dylib (compatibility version 30.0.0, current version 30.0.0)
/usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.5)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)
./MacOS/armorybuild/Armory.app/Contents/Dependencies/libpng15.15.dylib:
/usr/local/lib/libpng15.15.dylib (compatibility version 30.0.0, current version 30.0.0)
/usr/lib/libz.1.dylib (compatibility version 1.0.0, current version 1.2.5)
/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current version 169.3.0)

I did the same with the self-built version.  There were two differences, the version number of /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation that psutils expect (version 744.12.0 in your app, 744.18.0 in the version that I built myself.)  And the app you built contains both ./Dependencies/libpng15.15.dylib and ./MacOS/armorybuild/Armory.app/Contents/Dependencies/libpng15.15.dylib whereas the one I built only contains the former.

I have really no idea what this means - I will investigate Smiley

EDIT: Dependency on /usr/local/lib/QtGui.framework/Versions/4/QtGui and one more looks bad, bad, bad!

EDIT 2: Everything in this post is dubious, since the correct environment for loading dynamic libraries was not set.  I will try again after getting some coffee Smiley
gwillen
Newbie
*
Offline Offline

Activity: 16


View Profile
April 16, 2013, 07:11:00 PM
 #19

So I will note also that if you 'otool -l' the .Python in the app, which appears to be the python library, you get (among other things):

Load command 8
      cmd LC_VERSION_MIN_MACOSX
  cmdsize 16
  version 10.8
      sdk 10.8

So that makes me suspect this might be the reason it crashes on less than 10.8? But I'm not sure why that would produce a segfault, so there may be multiple issues.

If you received a PM from this account on or prior to June 12, 2011, it wasn't me! Someone was squatting on this account and using it to scam people. I can verify by GPG that this is now the real gwillen from #bitcoin-otc.
picobit
Hero Member
*****
Offline Offline

Activity: 547


Decor in numeris


View Profile
April 16, 2013, 07:15:33 PM
 #20

Hmm, it does not look like otool respects the DYLD_LIBRARY_PATH variable that the driver script uses to cause loading from within the app bundle.  I will look more at this tomorrow, I guess reading my previous post makes it pretty obvious that I am too tired for this Smiley
Pages: [1] 2 3 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!